"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
let assert = require('chai').assert;
let async = require('async');
const pip_services3_commons_node_1 = require("pip-services3-commons-node");
const pip_services3_commons_node_2 = require("pip-services3-commons-node");
const pip_services3_commons_node_3 = require("pip-services3-commons-node");
const pip_services3_components_node_1 = require("pip-services3-components-node");
const pip_services_blobs_node_1 = require("pip-services-blobs-node");
const pip_services_blobs_node_2 = require("pip-services-blobs-node");
const pip_services_blobs_node_3 = require("pip-services-blobs-node");
const BlobsCommandableGrpcClientV1_1 = require("../../src/version1/BlobsCommandableGrpcClientV1");
const BlobsClientFixtureV1_1 = require("./BlobsClientFixtureV1");
var httpConfig = pip_services3_commons_node_2.ConfigParams.fromTuples("connection.protocol", "http", "connection.host", "localhost", "connection.port", 3000);
suite('BlobsCommandableGrpcClientV1', () => {
    let service;
    let client;
    let fixture;
    suiteSetup((done) => {
        let logger = new pip_services3_components_node_1.ConsoleLogger();
        let persistence = new pip_services_blobs_node_1.BlobsMemoryPersistence();
        let controller = new pip_services_blobs_node_2.BlobsController();
        service = new pip_services_blobs_node_3.BlobsCommandableGrpcServiceV1();
        service.configure(httpConfig);
        let references = pip_services3_commons_node_3.References.fromTuples(new pip_services3_commons_node_1.Descriptor('pip-services', 'logger', 'console', 'default', '1.0'), logger, new pip_services3_commons_node_1.Descriptor('pip-services-blobs', 'persistence', 'memory', 'default', '1.0'), persistence, new pip_services3_commons_node_1.Descriptor('pip-services-blobs', 'controller', 'default', 'default', '1.0'), controller, new pip_services3_commons_node_1.Descriptor('pip-services-blobs', 'service', 'commandable-grpc', 'default', '1.0'), service);
        controller.setReferences(references);
        service.setReferences(references);
        client = new BlobsCommandableGrpcClientV1_1.BlobsCommandableGrpcClientV1();
        client.setReferences(references);
        client.configure(httpConfig);
        fixture = new BlobsClientFixtureV1_1.BlobsClientFixtureV1(client);
        service.open(null, (err) => {
            client.open(null, done);
        });
    });
    suiteTeardown((done) => {
        client.close(null);
        service.close(null, done);
    });
    test('Read / write chunks', (done) => {
        fixture.testReadWriteChunks(done);
    });
    test('Read / write data', (done) => {
        fixture.testReadWriteData(done);
    });
    test('Read / write stream', (done) => {
        fixture.testReadWriteStream(done);
    });
    test('Get Uri for missing blob', (done) => {
        fixture.testGetUriForMissingBlob(done);
    });
});
//# sourceMappingURL=BlobsCommandableGrpcClientV1.test.js.map