"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
let assert = require('chai').assert;
let async = require('async');
const pip_services3_commons_node_1 = require("pip-services3-commons-node");
const pip_services3_commons_node_2 = require("pip-services3-commons-node");
const pip_services3_components_node_1 = require("pip-services3-components-node");
const pip_services_blobs_node_1 = require("pip-services-blobs-node");
const pip_services_blobs_node_2 = require("pip-services-blobs-node");
const BlobsDirectClientV1_1 = require("../../src/version1/BlobsDirectClientV1");
const BlobsClientFixtureV1_1 = require("./BlobsClientFixtureV1");
suite('BlobsDirectClientV1', () => {
    let client;
    let fixture;
    suiteSetup((done) => {
        let logger = new pip_services3_components_node_1.ConsoleLogger();
        let persistence = new pip_services_blobs_node_1.BlobsMemoryPersistence();
        let controller = new pip_services_blobs_node_2.BlobsController();
        let references = pip_services3_commons_node_2.References.fromTuples(new pip_services3_commons_node_1.Descriptor('pip-services-commons', 'logger', 'console', 'default', '1.0'), logger, new pip_services3_commons_node_1.Descriptor('pip-services-blobs', 'persistence', 'memory', 'default', '1.0'), persistence, new pip_services3_commons_node_1.Descriptor('pip-services-blobs', 'controller', 'default', 'default', '1.0'), controller);
        controller.setReferences(references);
        client = new BlobsDirectClientV1_1.BlobsDirectClientV1();
        // client.configure(ConfigParams.fromTuples(
        //     'options.chunk_size', 3
        // ));
        client.setReferences(references);
        fixture = new BlobsClientFixtureV1_1.BlobsClientFixtureV1(client);
        client.open(null, done);
    });
    suiteTeardown((done) => {
        client.close(null, done);
    });
    test('Read / write chunks', (done) => {
        fixture.testReadWriteChunks(done);
    });
    test('Read / write data', (done) => {
        fixture.testReadWriteData(done);
    });
    test('Read / write stream', (done) => {
        fixture.testReadWriteStream(done);
    });
    test('Get Uri for missing blob', (done) => {
        fixture.testGetUriForMissingBlob(done);
    });
});
//# sourceMappingURL=BlobsDirectClientV1.test.js.map