"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const pip_services3_commons_node_1 = require("pip-services3-commons-node");
const BlobsS3ClientV1_1 = require("../../src/version1/BlobsS3ClientV1");
const BlobsClientFixtureV1_1 = require("./BlobsClientFixtureV1");
suite('BlobsS3ClientV1', () => {
    let client;
    let fixture;
    let S3_ARN = process.env["S3_ARN"] || "";
    let AWS_ACCESS_ID = process.env["AWS_ACCESS_ID"] || "";
    let AWS_ACCESS_KEY = process.env["AWS_ACCESS_KEY"] || "";
    if (S3_ARN == "" || AWS_ACCESS_ID == "" || AWS_ACCESS_KEY == "")
        return;
    let dbConfig = pip_services3_commons_node_1.ConfigParams.fromTuples("connection.arn", S3_ARN, "credential.access_id", AWS_ACCESS_ID, "credential.access_key", AWS_ACCESS_KEY);
    setup((done) => {
        client = new BlobsS3ClientV1_1.BlobsS3ClientV1();
        client.configure(dbConfig);
        fixture = new BlobsClientFixtureV1_1.BlobsClientFixtureV1(client);
        client.open(null, (err) => {
            client.clear(null, (err) => {
                done(err);
            });
        });
    });
    teardown((done) => {
        client.close(null, done);
    });
    test('Read / write data', (done) => {
        fixture.testReadWriteData(done);
    });
    test('Read / write stream', (done) => {
        fixture.testReadWriteStream(done);
    });
});
//# sourceMappingURL=BlobsS3ClientV1.test.js.map